<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div class="modal s--modal" id="addNewMyJob" data-backdrop="static" data-keyboard="false">
      <div class="modal-dialog" style="max-width: 600px">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title">
              <i class="icon icon-plus"></i>
              Thêm công việc
            </h3>
            <button
              type="button"
              class="close modal-close"
              data-dismiss="modal"
              aria-label="Close"
              @click.prevent="cancelCreate()"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>
          <div class="modal-body" style="overflow: inherit;">
            <form class="m-form m-form--state">
              <div
                class="form-group m-form__group"
                :class="{ 'has-danger': errors.has('addNewMyJob.title') || server_errors != '' && server_errors['title'] }"
              >
                <label class="form-control-label nt-label">
                  Tiêu đề
                  <span class="m--font-danger">*</span>
                </label>
                <s-input-text
                  name="title"
                  data-vv-scope="addNewMyJob"
                  v-model="addNewMyJob.title"
                  v-validate="{ required: true, max: 250 }"
                  class="form-control"
                  @keyup="changeDataInputType('title')"
                ></s-input-text>
                <div
                  class="form-control-feedback m--font-danger"
                  v-if="errors.has('addNewMyJob.title')"
                >{{ errors.first('addNewMyJob.title') }}</div>
                <div class="form-control-feedback m--font-danger" v-else>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="server_errors != '' && server_errors['title']"
                  >{{ server_errors['title'][0] }}</div>
                  <div v-else>&nbsp;</div>
                </div>
              </div>
              <div
                class="form-group m-form__group nt-form-group-deadline"
                :class="{ 'has-danger': errors.has('addNewMyJob.deadline_date') }"
              >
                <label class="form-control-label nt-label">Thời hạn</label>
                <div class="row">
                  <div class="col-md-6 deadline-date">
                    <s-input-date
                      data-vv-scope="addNewMyJob"
                      v-model="addNewMyJob.deadlineDate"
                      v-validate="{ required: addNewMyJob.deadlineTime ? true : false }"
                      name="deadline_date"
                      id="deadline_date"
                      @change="changeDataInputType('deadlineDate')"
                    ></s-input-date>
                    <div
                      class="form-control-feedback m--font-danger"
                      v-if="errors.has('addNewMyJob.deadline_date')"
                    >{{ errors.first('addNewMyJob.deadline_date') }}</div>
                  </div>
                  <div class="col-md-6 deadline-time">
                    <s-input-time
                      data-vv-scope="addNewMyJob"
                      v-model="addNewMyJob.deadlineTime"
                      @change="changeDataInputType('deadlineTime')"
                    ></s-input-time>
                  </div>
                </div>
              </div>
              <div
                class="form-group m-form__group"
                :class="{ 'has-danger': errors.has('addNewMyJob.desc') || server_errors != '' && server_errors['desc'] }"
              >
                <label class="form-control-label nt-label">Mô tả</label>
                <s-textarea
                  data-vv-scope="addNewMyJob"
                  v-model="addNewMyJob.desc"
                  id="desc"
                  name="desc"
                  v-validate="{  max: 1025 }"
                  @keyup="changeDataInputType('desc')"
                ></s-textarea>
                <div
                  class="form-control-feedback m--font-danger"
                  v-if="errors.has('addNewMyJob.desc')"
                >{{ errors.first('addNewMyJob.desc') }}</div>
                <div class="form-control-feedback m--font-danger" v-else>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="server_errors != '' && server_errors['desc']"
                  >{{ server_errors['desc'][0] }}</div>
                  <div v-else>&nbsp;</div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button
              @click.prevent="cancelCreate()"
              type="button"
              class="nt-button nt-button-secondary mr-2 modal-close"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              :disabled="isDisabled"
              :class="{'nt-button-disabled' : isDisabled}"
              @click.prevent="create('addNewMyJob')"
              type="submit"
              class="modal-close nt-button nt-button-warning mr-0"
            >Lưu lại</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
